首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  程序员

因 Request 类设计缺陷 ThinkPHP5.* 新出远程代码执行漏洞

  •  
  •   quu · 8 天前 · 481 次点击

    漏洞:ThinkPHP5 远程代码执行漏洞

    等级:高危

    影响范围:

    thinkphp 5.x

    漏洞描述:

    框架中的 Request 类的存在设计缺陷导致远程代码执行漏洞,最终攻击者可利用该漏洞获取系统权限。

    修复方案:

    https://github.com/top-think/framework/commit/4a4b5e64fa4c46f851b4004005bff5f3196de003

    直接看着漏洞去修吧。

    2 回复  |  直到 2019-01-11 17:21:15 +08:00
        1
    iphper993   8 天前
    TP 漏洞防不胜防啊
        2
    YingJie   8 天前 via Android
    有 poc 吗?
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   785 人在线   最高记录 4236   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 16ms · UTC 20:57 · PVG 04:57 · LAX 12:57 · JFK 15:57
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1